Index: plugins/widgets/_widgets_functions.php
===================================================================
--- plugins/widgets/_widgets_functions.php	(revision 945)
+++ plugins/widgets/_widgets_functions.php	(revision 776)
@@ -18,13 +18,8 @@
 		global $core;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
-			return;
-		}
-
 		$value = isset($GLOBALS['_search']) ? html::escapeHTML($GLOBALS['_search']) : '';
 		
 		return
-		'<div id="search"'.($w->class ? ' class="'.html::escapeHTML($w->class).'"' : '').'>'.
+		'<div id="search">'.
 		($w->title ? '<h2><label for="q">'.html::escapeHTML($w->title).'</label></h2>' : '').
 		'<form action="'.$core->blog->url.'" method="get">'.
@@ -41,11 +36,6 @@
 		global $core;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
-			return;
-		}
-
-		$res =
-		'<div id="topnav"'.($w->class ? ' class="'.html::escapeHTML($w->class).'"' : '').'>'.
+		$res =
+		'<div id="topnav">'.
 		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		'<ul>';
@@ -72,9 +62,4 @@
 		global $core, $_ctx;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
-			return;
-		}
-
 		$rs = $core->blog->getCategories(array('post_type'=>'post'));
 		if ($rs->isEmpty()) {
@@ -83,5 +68,5 @@
 		
 		$res =
-		'<div class="categories'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">'.
+		'<div class="categories">'.
 		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '');
 		
@@ -126,6 +111,5 @@
 		global $core;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
+		if ($w->homeonly && $core->url->type != 'default') {
 			return;
 		}
@@ -144,5 +128,5 @@
 		
 		$res =
-		'<div class="selected'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">'.
+		'<div class="selected">'.
 		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		'<ul>';
@@ -161,6 +145,5 @@
 		global $core, $_ctx;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default' && $core->url->type != 'lang') ||
-			($w->homeonly == 2 && ($core->url->type == 'default' || $core->url->type == 'lang'))) {
+		if ($w->homeonly && $core->url->type != 'default' && $core->url->type != 'lang') {
 			return;
 		}
@@ -174,5 +157,5 @@
 		$langs = l10n::getISOcodes();
 		$res =
-		'<div class="langs'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">'.
+		'<div class="langs">'.
 		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		'<ul>';
@@ -202,6 +185,5 @@
 		global $core;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
+		if ($w->homeonly && $core->url->type != 'default') {
 			return;
 		}
@@ -214,5 +196,5 @@
 		
 		$res =
-		'<div class="syndicate'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">'.
+		'<div class="syndicate">'.
 		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		'<ul>';
@@ -246,6 +228,5 @@
 		global $core;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
+		if ($w->homeonly && $core->url->type != 'default') {
 			return;
 		}
@@ -263,5 +244,5 @@
 		
 		$res =
-		'<div class="feed'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">'.
+		'<div class="feed">'.
 		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		'<ul>';
@@ -269,16 +250,5 @@
 		$i = 0;
 		foreach ($feed->items as $item) {
-			$title = isset($item->title) && strlen(trim($item->title)) ? $item->title : '';
-			$link = isset($item->link) && strlen(trim($item->link)) ? $item->link : '';
-			
-			if (!$link && !$title) {
-				continue;
-			}
-			
-			if (!$title) {
-				$title = substr($link,0,25).'...';
-			}
-			
-			$li = $link ? '<a href="'.html::escapeHTML($item->link).'">'.$title.'</a>' : $title;
+			$li = isset($item->link) ? '<a href="'.html::escapeHTML($item->link).'">'.$item->title.'</a>' : $item->title;
 			$res .= ' <li>'.$li.'</li> ';
 			$i++;
@@ -297,11 +267,10 @@
 		global $core;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
-			return;
-		}
-		
-		$res =
-		'<div class="text'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">'.
+		if ($w->homeonly && $core->url->type != 'default') {
+			return;
+		}
+		
+		$res =
+		'<div class="text">'.
 		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		$w->text.
@@ -315,6 +284,5 @@
 		global $core;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
+		if ($w->homeonly && $core->url->type != 'default') {
 			return;
 		}
@@ -350,5 +318,5 @@
 		
 		$res =
-		'<div class="lastposts'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">'.
+		'<div class="lastposts">'.
 		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		'<ul>';
@@ -368,6 +336,5 @@
 		global $core;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
+		if ($w->homeonly && $core->url->type != 'default') {
 			return;
 		}
@@ -381,5 +348,5 @@
 		}
 		
-		$res = '<div class="lastcomments'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">'.
+		$res = '<div class="lastcomments">'.
 		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		'<ul>';
Index: plugins/widgets/class.widgets.php
===================================================================
--- plugins/widgets/class.widgets.php	(revision 954)
+++ plugins/widgets/class.widgets.php	(revision 270)
@@ -36,7 +36,7 @@
 	}
 	
-	public function create($id,$name,$callback,$append_callback=null,$desc='')
-	{
-		$this->__widgets[$id] = new dcWidget($id,$name,$callback,$desc);
+	public function create($id,$name,$callback,$append_callback=null)
+	{
+		$this->__widgets[$id] = new dcWidget($id,$name,$callback);
 		$this->__widgets[$id]->append_callback = $append_callback;
 	}
@@ -135,5 +135,4 @@
 	private $id;
 	private $name;
-	private $desc;
 	private $public_callback = null;
 	public $append_callback = null;
@@ -149,10 +148,9 @@
 	}
 	
-	public function __construct($id,$name,$callback,$desc='')
+	public function __construct($id,$name,$callback)
 	{
 		$this->public_callback = $callback;
 		$this->id = $id;
 		$this->name = $name;
-		$this->desc = $desc;
 	}
 	
@@ -165,9 +163,4 @@
 	{
 		return $this->name;
-	}
-
-	public function desc()
-	{
-		return $this->desc;
 	}
 	
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 954)
+++ plugins/widgets/index.php	(revision 735)
@@ -34,12 +34,4 @@
 	__('custom') => 'custom'
 );
-
-function literalNullString($v)
-{
-	if ($v == '') {
-		return '&lt;'.__('empty string').'&gt;';
-	}
-	return $v;
-}
 
 # Adding widgets to sidebars
@@ -201,5 +193,5 @@
 	'<div>'.form::hidden(array('w[void][0][id]'),html::escapeHTML($w->id())).
 	'<p class="widget-name">'.form::field(array('w[void][0][order]'),2,3,0,'hideControl').' '.
-	$w->name().($w->desc() != '' ? ' <span class="form-note">('.__($w->desc()).')</span>' : '').'</p>'.
+	$w->name().'</p>'.
 	'<p class="js-remove"><label class="classic">'.__('Append to:').' '.
 	form::combo(array('addw['.$w->id().']'),$append_combo).'</label></p>'.
@@ -267,6 +259,5 @@
 	$widget_elements->content .=
 	'<dt><strong>'.html::escapeHTML($w->name()).'</strong> ('.
-	__('Widget ID:').' <strong>'.html::escapeHTML($w->id()).'</strong>)'.
-	($w->desc() != '' ? ' <span class="form-note">'.__($w->desc()).'</span>' : '').'</dt>'.
+	__('Widget ID:').' <strong>'.html::escapeHTML($w->id()).'</strong>)</dt>'.
 	'<dd>';
 	
@@ -283,14 +274,13 @@
 			switch ($s['type']) {
 				case 'check':
-					$s_type = __('boolean').", ".__('possible values:')." <code>0</code> ".__('or')." <code>1</code>";
+					$s_type = '0|1';
 					break;
 				case 'combo':
-					$s['options'] = array_map("literalNullString", $s['options']);
-					$s_type = __('listitem').", ".__('possible values:')." <code>".implode('</code>, <code>',$s['options'])."</code>";
+					$s_type = implode('|',$s['options']);
 					break;
 				case 'text':
 				case 'textarea':
 				default:
-					$s_type = __('string');
+					$s_type = 'text';
 					break;
 			}
@@ -331,9 +321,9 @@
 		'<div>'.form::hidden(array($iname.'[id]'),html::escapeHTML($w->id())).
 		'<p class="widget-name">'.form::field(array($iname.'[order]'),2,3,(string) $i,'js-hide','',0,'title="'.__('order').'"').' '.
-		$w->name().($w->desc() != '' ? ' <span class="form-note">('.__($w->desc()).')</span>' : '').'</p>'.
+		$w->name().'</p>'.
 		'<p class="removeWidget js-remove"><label class="classic">'.
 		form::checkbox(array($iname.'[_rem]'),'1',0).' '.__('Remove widget').
 		'</label></p>'.
-		'<div class="widgetSettings">'.$w->formSettings($iname,$j).'</div>'.
+		'<div class="widgetSettings">'.$w->formSettings($iname,&$j).'</div>'.
 		'</div>';
 		
Index: themes/customCSS/_config.php
===================================================================
--- themes/customCSS/_config.php	(revision 907)
+++ themes/customCSS/_config.php	(revision 270)
@@ -28,5 +28,8 @@
 	fclose($fp);
 	
-	dcPage::message(__('Style sheet upgraded.'),true,true);
+	echo
+	'<div class="message"><p>'.
+	__('Style sheet upgraded.').
+	'</p></div>';
 }
 
Index: themes/customCSS/_define.php
===================================================================
--- themes/customCSS/_define.php	(revision 967)
+++ themes/customCSS/_define.php	(revision 270)
@@ -16,5 +16,5 @@
 	/* Description*/		"A CSS customizable theme",
 	/* Author */			"Olivier",
-	/* Version */			'1.1'
+	/* Version */			'1.0'
 );
 ?>
Index: themes/ductile/_config.php
===================================================================
--- themes/ductile/_config.php	(revision 907)
+++ themes/ductile/_config.php	(revision 776)
@@ -13,9 +13,6 @@
 l10n::set(dirname(__FILE__).'/locales/'.$_lang.'/admin');
 
-if (preg_match('#^http(s)?://#',$core->blog->settings->system->themes_url)) {
-	$img_url = http::concatURL($core->blog->settings->system->themes_url,'/'.$core->blog->settings->system->theme.'/img/');
-} else {
-	$img_url = http::concatURL($core->blog->url,$core->blog->settings->system->themes_url.'/'.$core->blog->settings->system->theme.'/img/');
-}
+$img_url = $core->blog->settings->system->themes_url.'/'.$core->blog->settings->system->theme.'/img/';
+$img_url = http::concatURL($core->blog->url,$img_url);
 $img_path = dirname(__FILE__).'/img/';
 
@@ -224,5 +221,4 @@
 	// HTML
 	'subtitle_hidden' => null,
-	'logo_src' => null,
 	// CSS
 	'body_font' => null,
@@ -326,5 +322,4 @@
 		if ($conf_tab == 'html') {
 			$ductile_user['subtitle_hidden'] = (integer) !empty($_POST['subtitle_hidden']);
-			$ductile_user['logo_src'] = $_POST['logo_src'];
 
 			$ductile_stickers = array();
@@ -405,5 +400,8 @@
 		$core->emptyTemplatesCache();
 		
-		dcPage::message(__('Theme configuration upgraded.'),true,true);
+		echo
+		'<div class="message"><p>'.
+		__('Theme configuration upgraded.').
+		'</p></div>';
 	}
 	catch (Exception $e)
@@ -429,6 +427,4 @@
 	echo '<p>'.sprintf(__('To configure the top menu go to the <a href="%s">Simple Menu administration page</a>.'),'plugin.php?p=simpleMenu').'</p>';
 }
-echo '<p class="field"><label for"logo_src">'.__('Logo URL:').' '.
-	form::field('logo_src',40,255,$ductile_user['logo_src']).'</label>'.'</p>';
 echo '</fieldset>';
 
Index: themes/ductile/_define.php
===================================================================
--- themes/ductile/_define.php	(revision 967)
+++ themes/ductile/_define.php	(revision 716)
@@ -15,5 +15,5 @@
 	/* Description*/		"Mediaqueries compliant elegant theme",
 	/* Author */			"Dotclear Team",
-	/* Version */			'1.3',
+	/* Version */			'1.0',
 	/* Properties */		array(
 								'standalone_config' => true
Index: themes/ductile/_public.php
===================================================================
--- themes/ductile/_public.php	(revision 830)
+++ themes/ductile/_public.php	(revision 776)
@@ -22,5 +22,4 @@
 $core->tpl->addBlock('EntryIfContentIsCut',array('tplDuctileTheme','EntryIfContentIsCut'));
 $core->tpl->addValue('ductileNbEntryPerPage',array('tplDuctileTheme','ductileNbEntryPerPage'));
-$core->tpl->addValue('ductileLogoSrc',array('tplDuctileTheme','ductileLogoSrc'));
 
 class tplDuctileTheme
@@ -28,21 +27,16 @@
 	public static function ductileNbEntryPerPage($attr)
 	{
-		return '<?php tplDuctileTheme::ductileNbEntryPerPageHelper(); ?>';
-	}
-	
-	public static function ductileNbEntryPerPageHelper()
-	{
-		global $_ctx;
-		
+		global $core;
+
 		$nb = 0;
-		$s = $GLOBALS['core']->blog->settings->themes->get($GLOBALS['core']->blog->settings->system->theme.'_entries_counts');
+		$s = $core->blog->settings->themes->get($core->blog->settings->system->theme.'_entries_counts');
 		if ($s !== null) {
 			$s = @unserialize($s);
 			if (is_array($s)) {
-				if (isset($s[$GLOBALS['core']->url->type])) {
+				if (isset($s[$core->url->type])) {
 					// Nb de billets par page défini par la config du thème
-					$nb = (integer) $s[$GLOBALS['core']->url->type];
+					$nb = (integer) $s[$core->url->type];
 				} else {
-					if (($GLOBALS['core']->url->type == 'default-page') && (isset($s['default']))) {
+					if (($core->url->type == 'default-page') && (isset($s['default']))) {
 						// Les pages 2 et suivantes de la home ont le même nombre de billet que la première page
 						$nb = (integer) $s['default'];
@@ -60,5 +54,5 @@
 
 		if ($nb > 0)
-			$_ctx->nb_entry_per_page = $nb;
+			return '<?php $_ctx->nb_entry_per_page = '.$nb.' ; ?>';
 	}
 	
@@ -91,88 +85,19 @@
 	{
 		global $core;
-		
-		$tpl_path = dirname(__FILE__).'/tpl/';
-		$list_types = array('title','short','full');
-
-		// Get all _entry-*.html in tpl folder of theme
-		$list_types_templates = files::scandir($tpl_path);
-		if (is_array($list_types_templates)) {
-			foreach ($list_types_templates as $v) {
-				if (preg_match('/^_entry\-(.*)\.html$/',$v,$m)) {
-					if (isset($m[1])) {
-						if (!in_array($m[1],$list_types)) {
-							// template not already in full list
-							$list_types[] = $m[1];
-						}
-					}
-				}
-			}
-		}
-
 		$default = isset($attr['default']) ? trim($attr['default']) : 'short';
-		$ret = '<?php '."\n".
-			'switch (tplDuctileTheme::ductileEntriesListHelper(\''.$default.'\')) {'."\n";
-
-		foreach ($list_types as $v) {
-			$ret .= '	case \''.$v.'\':'."\n".
-				'?>'."\n".
-						$core->tpl->includeFile(array('src' => '_entry-'.$v.'.html'))."\n".
-				'<?php '."\n".
-				'		break;'."\n";
-		}
-
-		$ret .= '}'."\n".
-			'?>';
-		
-		return $ret;
-	}
-	
-	public static function ductileEntriesListHelper($default)
-	{
-		$s = $GLOBALS['core']->blog->settings->themes->get($GLOBALS['core']->blog->settings->system->theme.'_entries_lists');
+
+		$model = '';
+		$s = $core->blog->settings->themes->get($core->blog->settings->system->theme.'_entries_lists');
 		if ($s !== null) {
 			$s = @unserialize($s);
 			if (is_array($s)) {
-				if (isset($s[$GLOBALS['core']->url->type])) {
-					$model = $s[$GLOBALS['core']->url->type];
-					return $model;
-				}
-			}
-		}
-		return $default;
-	}
-
-	public static function ductileLogoSrc($attr)
-	{
-		return '<?php echo tplDuctileTheme::ductileLogoSrcHelper(); ?>';
-	}
-
-	public static function ductileLogoSrcHelper()
-	{
-		$s = $GLOBALS['core']->blog->settings->themes->get($GLOBALS['core']->blog->settings->system->theme.'_style');
-		if ($s === null) {
-			return;
-		}
-		$s = @unserialize($s);
-		if (!is_array($s)) {
-			return;
-		}
-		
-		$img_url = $GLOBALS['core']->blog->settings->system->themes_url.'/'.$GLOBALS['core']->blog->settings->system->theme.'/img/logo.png';
-		if (isset($s['logo_src'])) {
-			if ($s['logo_src'] !== null) {
-				if ($s['logo_src'] != '') {
-					if ((substr($s['logo_src'],0,1) == '/') || (parse_url($s['logo_src'],PHP_URL_SCHEME) != '')) {
-						// absolute URL
-						$img_url = $s['logo_src'];
-					} else {
-						// relative URL (base = img folder of ductile theme)
-						$img_url = $GLOBALS['core']->blog->settings->system->themes_url.'/'.$GLOBALS['core']->blog->settings->system->theme.'/img/'.$s['logo_src'];
-					}
-				}
-			}
-		}
-		
-		return $img_url;
+				if (isset($s[$core->url->type])) {
+					$model = $s[$core->url->type];
+				}
+			}
+		}
+
+		$local_attr = array('src' => '_entry-'.($model ? $model : $default).'.html');
+		return $core->tpl->includeFile($local_attr);
 	}
 
@@ -192,5 +117,5 @@
 				$default = true;
 			} else {
-				$s = array_filter($s,"self::cleanStickers");
+				$s = array_filter($s,"tplDuctileTheme::cleanStickers");
 				if (count($s) == 0) {
 					$default = true;
